{

    "AbilityName":"TestPlayer_Ability_Haoyou_13",

    "AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "ModifierStacking" : "Unique",

        "Duration": -1,

        "OnAdded":

        [

            {

                //normal

				"$type":"MoleMole.SetAbilitySpecialByExpression",

				"ParamName":"AutoRecoverRate_Delta",

				"ValueType":"float",

				"Expression":"property(MaxStun)*specials(AutoRecoverRate_Percentage_Normal)",

                "Predicates":

                [

                    {

                        "$type":"MoleMole.ByMonsterStrengthType",

                        "Target" : "Target",

                        "CompareType" : "Equal",

                        "StrengthType" : "Normal"

                    }

                ]

            },

            {

                //elite

				"$type":"MoleMole.SetAbilitySpecialByExpression",

				"ParamName":"AutoRecoverRate_Delta",

				"ValueType":"float",

				"Expression":"property(MaxStun)*specials(AutoRecoverRate_Percentage_Elite)",

                "Predicates":

                [

                    {

                        "$type":"MoleMole.ByMonsterStrengthType",

                        "Target" : "Target",

                        "CompareType" : "Equal",

                        "StrengthType" : "Elite"

                    }

                ]

            },

            {

                //boss

				"$type":"MoleMole.SetAbilitySpecialByExpression",

				"ParamName":"AutoRecoverRate_Delta",

				"ValueType":"float",

				"Expression":"property(MaxStun)*specials(AutoRecoverRate_Percentage_Boss)",

                "Predicates":

                [

                    {

                        "$type":"MoleMole.ByMonsterStrengthType",

                        "Target" : "Target",

                        "CompareType" : "Equal",

                        "StrengthType" : "Boss"

                    }

                ]

            },

            {

                //改属性

                "$type": "MoleMole.ApplyModifier",

                "ModifierName": "StunRecover"

            }

        ]

    },

    "Modifiers" : 

    {

        "StunRecover":

        {

            "Duration" : -1,

            "Properties":

            {

                "AutoRecoverRate_Delta": "%AutoRecoverRate_Delta"

            }

        }

    },

    "AbilitySpecials" : 

    {

        //内部参数

        "AutoRecoverRate_Delta" :

        {

            "Value" : 0

        },

        //表格参数

        "AutoRecoverRate_Percentage_Normal" :

        {

            "Value" : 0.04

        },

        "AutoRecoverRate_Percentage_Elite" :

        {

            "Value" : 0.035

        },

        "AutoRecoverRate_Percentage_Boss" :

        {

            "Value" : 0.03

        }

    }

}